usb_descriptor_fillbuf
Prev | Optional Utilities | Next

## Name

usb_descriptor_fillbuf — fill buffer with descriptors

## Synopsis

`int usb_descriptor_fillbuf (` | void * | buf,
| unsigned | buflen,
| const struct usb_descriptor_header ** | src`)`;

## Arguments

`buf`

  Buffer to be filled

`buflen`

  Size of buf

`src`

  Array of descriptor pointers, terminated by null pointer.

## Description

Copies descriptors into the buffer, returning the length or a negative error code if they can't all be copied. Useful when assembling descriptors for an associated set of interfaces used as part of configuring a composite device; or in other cases where sets of descriptors need to be marshaled.

Prev | Up | Next
usb_gadget_get_string | Home | usb_gadget_config_buf